org.apache.nutch.util.domain

## Enum DomainStatistics.MyCounter

- java.lang.Object
- - java.lang.Enum<DomainStatistics.MyCounter>
  - - org.apache.nutch.util.domain.DomainStatistics.MyCounter

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DomainStatistics.MyCounter>
  Enclosing class:
    DomainStatistics

      public static enum DomainStatistics.MyCounter
      extends java.lang.Enum<DomainStatistics.MyCounter>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EMPTY_RESULT`
    `FETCHED`
    `NOT_FETCHED`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DomainStatistics.MyCounter` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DomainStatistics.MyCounter[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FETCHED

          public static final DomainStatistics.MyCounter FETCHED

    - #### NOT_FETCHED

          public static final DomainStatistics.MyCounter NOT_FETCHED

    - #### EMPTY_RESULT

          public static final DomainStatistics.MyCounter EMPTY_RESULT

  - ### Method Detail

    - #### values

          public static DomainStatistics.MyCounter[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DomainStatistics.MyCounter c : DomainStatistics.MyCounter.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DomainStatistics.MyCounter valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2019 The Apache Software Foundation